Comment 2 for bug 996379

At this point I ran out of space:
Errors were encountered while processing:
 /var/cache/apt/archives/ghc_7.4.1-1ubuntu2_i386.deb

After deleting some files and closing the error box the upgrade process made it up to the end and asked for reboot. I rebooted without any problems and typed in sudo apt-get dist-upgrade (sorry, in german):

gerhard@gerhard-virtualbox:~$ sudo apt-get dist-upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Statusinformationen werden eingelesen... Fertig
Probieren Sie »apt-get -f install«, um dies zu korrigieren.
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 ghc-haddock : Hängt ab von: ghc (= 7.4.1-1ubuntu2) aber 7.0.3-1ubuntu5 ist installiert
 libghc-mtl-dev : Hängt ab von: libghc-base-dev-4.5.0.0-c8e71
 libghc-random-dev : Hängt ab von: libghc-base-dev-4.5.0.0-c8e71
                     Hängt ab von: libghc-time-dev-1.4-3e186
 libghc-syb-dev : Hängt ab von: libghc-base-dev-4.5.0.0-c8e71
 libghc-transformers-dev : Hängt ab von: libghc-base-dev-4.5.0.0-c8e71
 libghc-utf8-string-dev : Hängt ab von: libghc-base-dev-4.5.0.0-c8e71
                          Hängt ab von: libghc-bytestring-dev-0.9.2.1-4adca
 libghc-x11-dev : Hängt ab von: libghc-base-dev-4.5.0.0-c8e71
 libghc-x11-xft-dev : Hängt ab von: libghc-base-dev-4.5.0.0-c8e71
 libghc-xmonad-contrib-dev : Hängt ab von: libghc-base-dev-4.5.0.0-c8e71
                             Hängt ab von: libghc-containers-dev-0.4.2.1-7c545
                             Hängt ab von: libghc-directory-dev-1.1.0.2-89575
                             Hängt ab von: libghc-extensible-exceptions-dev-0.1.1.4-d27a1
                             Hängt ab von: libghc-old-locale-dev-1.0.0.4-29bd5
                             Hängt ab von: libghc-old-time-dev-1.1.0.0-681e9
                             Hängt ab von: libghc-process-dev-1.1.0.1-91185
                             Hängt ab von: libghc-unix-dev-2.5.1.0-d72c5
 libghc-xmonad-dev : Hängt ab von: libghc-base-dev-4.5.0.0-c8e71
                     Hängt ab von: libghc-containers-dev-0.4.2.1-7c545
                     Hängt ab von: libghc-directory-dev-1.1.0.2-89575
                     Hängt ab von: libghc-extensible-exceptions-dev-0.1.1.4-d27a1
                     Hängt ab von: libghc-filepath-dev-1.3.0.0-674b8
                     Hängt ab von: libghc-process-dev-1.1.0.1-91185
                     Hängt ab von: libghc-unix-dev-2.5.1.0-d72c5
E: Unerfüllte Abhängigkeiten. Versuchen Sie, -f zu benutzen.
gerhard@gerhard-virtualbox:~$

gerhard@gerhard-virtualbox:~$ sudo apt-get -f install
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Statusinformationen werden eingelesen... Fertig
Abhängigkeiten werden korrigiert... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  libx264-116 libsvga1 libaccess-bridge-java-jni libaccess-bridge-java
  libmusicbrainz4c2a libept1 openoffice.org-common libvpx0 libaudiofile0
  libiso9660-7 libid3tag0 libreoffice-l10n-common libmatroska4
Verwenden Sie »apt-get autoremove«, um sie zu entfernen.
Die folgenden zusätzlichen Pakete werden installiert:
  ghc
Vorgeschlagene Pakete:
  ghc-prof haskell-doc llvm-3.0
Die folgenden Pakete werden aktualisiert (Upgrade):
  ghc
1 aktualisiert, 0 neu installiert, 0 zu entfernen und 1 nicht aktualisiert.
18 nicht vollständig installiert oder entfernt.
Es müssen 41,5 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 16,5 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]?
Hole:1 http://de.archive.ubuntu.com/ubuntu/ precise/universe ghc i386 7.4.1-1ubuntu2 [41,5 MB]
Es wurden 41,5 MB in 12 s geholt (3.377 kB/s)
(Lese Datenbank ... 313255 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Ersetzen von ghc 7.0.3-1ubuntu5 (durch .../ghc_7.4.1-1ubuntu2_i386.deb) ...
Ersatz für ghc wird entpackt ...
dpkg: Warnung: Altes Verzeichnis »/var/lib/ghc-7.0.3/package.conf.d« kann nicht gelöscht werden: Das Verzeichnis ist nicht leer
dpkg: Warnung: Altes Verzeichnis »/var/lib/ghc-7.0.3« kann nicht gelöscht werden: Das Verzeichnis ist nicht leer
Trigger für man-db werden verarbeitet ...
initramfs-tools (0.99ubuntu13) wird eingerichtet ...
update-initramfs: deferring update (trigger activated)
ghc (7.4.1-1ubuntu2) wird eingerichtet ...
update-alternatives: /usr/bin/runghc wird verwendet, um /usr/bin/runhaskell (runhaskell) im Auto-Modus bereitzustellen.
update-alternatives: /usr/bin/ghc wird verwendet, um /usr/bin/haskell-compiler (haskell-compiler) im Auto-Modus bereitzustellen.
Warning: haddock-interfaces: /usr/lib/ghc-doc/haddock/syb-0.3.6/syb.haddock doesn't exist or isn't a file
Warning: haddock-html: /usr/share/doc/libghc-syb-doc/html/ doesn't exist or isn't a directory
Warning: haddock-interfaces: /usr/lib/ghc-doc/haddock/utf8-string-0.3.7/utf8-string.haddock doesn't exist or isn't a file
Warning: haddock-html: /usr/share/doc/libghc-utf8-string-doc/html/ doesn't exist or isn't a directory
Warning: haddock-interfaces: /usr/lib/ghc-doc/haddock/random-1.0.1.1/random.haddock doesn't exist or isn't a file
Warning: haddock-html: /usr/share/doc/libghc-random-doc/html/ doesn't exist or isn't a directory
ghc-haddock (7.4.1-1ubuntu2) wird eingerichtet ...
ghc-doc (7.4.1-1ubuntu2) wird eingerichtet ...
Turning /usr/lib/ghc-7.0.2/haddock into a symbolic link to /usr/lib/ghc-doc/haddock/
Turning /usr/lib/ghc-7.0.3/haddock into a symbolic link to /usr/lib/ghc-doc/haddock/
libghc-transformers-dev (0.2.2.0-4build1) wird eingerichtet ...
libghc-mtl-dev (2.0.1.0-3) wird eingerichtet ...
libghc-mtl-doc (2.0.1.0-3) wird eingerichtet ...
libghc-random-dev (1.0.1.1-1) wird eingerichtet ...
libghc-syb-dev (0.3.6-1) wird eingerichtet ...
libghc-transformers-doc (0.2.2.0-4build1) wird eingerichtet ...
libghc-utf8-string-dev (0.3.7-1) wird eingerichtet ...
libghc-x11-dev (1.5.0.1-1) wird eingerichtet ...
libghc-x11-doc (1.5.0.1-1) wird eingerichtet ...
libghc-x11-xft-dev (0.3.1-1) wird eingerichtet ...
libghc-x11-xft-doc (0.3.1-1) wird eingerichtet ...
libghc-xmonad-dev (0.10-3) wird eingerichtet ...
libghc-xmonad-contrib-dev (0.10-3) wird eingerichtet ...
libghc-xmonad-contrib-doc (0.10-3) wird eingerichtet ...
libghc-xmonad-doc (0.10-3) wird eingerichtet ...
Trigger für initramfs-tools werden verarbeitet ...
update-initramfs: Generating /boot/initrd.img-3.2.0-24-generic
gerhard@gerhard-virtualbox:~$ sudo apt-get dist-upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Statusinformationen werden eingelesen... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete werden aktualisiert (Upgrade):
  unity-scope-musicstores
1 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen 23,7 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 11,3 kB Plattenplatz freigegeben.
Möchten Sie fortfahren [J/n]?
Hole:1 http://de.archive.ubuntu.com/ubuntu/ precise/main unity-scope-musicstores i386 5.10.0-0ubuntu1 [23,7 kB]
Es wurden 23,7 kB in 0 s geholt (166 kB/s)
(Lese Datenbank ... 313301 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Ersetzen von unity-scope-musicstores 0.2.6-0ubuntu2 (durch .../unity-scope-musicstores_5.10.0-0ubuntu1_i386.deb) ...
Ersatz für unity-scope-musicstores wird entpackt ...
unity-scope-musicstores (5.10.0-0ubuntu1) wird eingerichtet ...
gerhard@gerhard-virtualbox:~$ sudo apt-get dist-upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Statusinformationen werden eingelesen... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
gerhard@gerhard-virtualbox:~$